Organizations
Get the Organizations for a user
Retrieve all Organizations of which this user is a member. Required permissions: None
GET
/
api
/
organizations
/
v1
/
organizations
Get the Organizations for a user
curl --request GET \
--url https://mycluster.domino.tech/api/organizations/v1/organizations \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/organizations/v1/organizations"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/organizations/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"orgs": [
{
"id": "623132867a0af0281c01a69c",
"members": [
{
"organizationRole": "member",
"userId": "6234c9542bc6731e3471ade8"
}
],
"name": "MyOrg",
"defaultEnvironmentId": "6231327c7a0af0281c01a65f"
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Optional value to filter organization names with. Must exactly match organization name.
How many orgs from the start to skip. Defaults to 0.
Max number of orgs to fetch. Defaults to 10.
Last modified on August 18, 2026
Related topics
Get an organization by IdGet all organizations. Only accessible to admin users.Get Environments visible to a userGet all active Data Source the user has access toWas this page helpful?
⌘I
Get the Organizations for a user
